package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BStatTablePwxkFuel;
import cn.cecep.talroad.vo.BStatTablePwxkFuelVo;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BStatTablePwxkFuelMapper extends BaseMapper<BStatTablePwxkFuel> {
    int updateBatch(List<BStatTablePwxkFuel> list);

    int updateBatchSelective(List<BStatTablePwxkFuel> list);

    int batchInsert(@Param("list") List<BStatTablePwxkFuel> list);

   List<BStatTablePwxkFuelVo> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}